%define	major 1
%define	libname %mklibname OpenIPMI %{major}

Summary:	A set of tools to access IPMI controller
Name:		OpenIPMI
Version:	1.4.26
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://openipmi.sourceforge.net/ 
Source0:	http://optusnet.dl.sourceforge.net/sourceforge/openipmi/%{name}-%{version}.tar.bz2
Source1:	ipmi_lan.conf
# (gb) libtool fixes, don't bother with aclocal as it can change
Patch0:		OpenIPMI-1.4.13-libtool.patch.bz2
Patch1:		OpenIPMI-1.4.16-extern.patch.bz2
BuildRequires:	popt-devel ncurses-devel swig
BuildRequires:	libgdbm-devel perl-devel
BuildRequires:	autoconf2.5 >= 2.58
Requires:	%{libname} IPMI
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and control
(including remote control), and is implemented by many
hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
OpenIPMI is full-function IPMI system to access to IPMI information 

%package -n	%{libname}
Summary:	Library associated with OpenIPMI
Group:		System/Libraries
Provides:	%{libname}
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{libname}
This library is mandatory for OpenIPMI.

%package -n	%{libname}-devel
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname}
Provides:	lib%{name}-devel
Provides:	%{libname}-devel
Provides:	%{name}-devel
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n %{libname}-devel
Static libraries and header files required for compiling OpenIPMI plugins.

%prep

%setup -q
%patch0 -p1 -b .libtool
#%patch1 -p0 -b .extern
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
%configure2_5x \
    --with-perl=%{_bindir}/perl \
    --with-perlinstall=%{perl_vendorarch}
    
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/ipmi_lan.conf

%clean
rm -rf $RPM_BUILD_ROOT

#%post
#%_install_info %{name}.info

#%preun
#%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_infodir}/*
%{_mandir}/man?/*
%config(noreplace)%{_sysconfdir}/ipmi_lan.conf

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/%{name}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*


%changelog
* Wed May 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.26-2mdv2008.0
+ Revision: 25667
- Import OpenIPMI



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.26-2mdv2007.0
- Rebuild

* Tue May 16 2006 Erwan Velu <velu@seanodes.com> 1.4.26-1mdk
- 1.4.26

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.4.21-4mdk
- rebuild for sparc

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.21-3mdk
- rebuilt against new net-snmp with new major (10)

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.21-2mdk
- rebuilt against net-snmp that has new major (9)
- misc spec file fixes

* Tue Nov 22 2005 Erwan Velu <velu@seanodes.com> 1.4.21-1mdk
- 1.4.21

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.19-2mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 2 2005 Erwan Velu <velu@seanodes.com> 1.4.19-1mdk
- 1.4.19
* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com> 1.4.18-1mdk
- 1.4.18

* Mon Jun 13 2005 Erwan Velu <velu@seanodes.com> 1.4.17-1mdk
- 1.4.17

* Wed Jun 01 2005 Erwan Velu <velu@seanodes.com> 1.4.16-1mdk
- 1.4.16

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.13-3mdk
- add BuildRequires: libgdbm-devel perl-devel

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.13-2mdk
- libtool fixes
- buildrequires swig for perl modules generation

* Thu Mar 03 2005 Erwan Velu <erwan@seanodes.com> 1.4.13-1mdk
- 1.4.13
* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.3-1mdk
- 1.4.3
- drop P0 (fixed upstream)
- fix description-line-too-long & summary-ended-with-dot
- cosmetics

* Fri Aug 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-5mdk
- Fixing description

* Wed Aug 11 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-4mdk
- Adding ipmi_lan.conf
- Patch0: Printing errors found in config file
- Requires IPMI

* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-3mdk
- fixing requires

* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-2mdk
- Fixing description

* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Thu Jun 17 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.8-1mdk
- 1.3.8

* Fri May 07 2004 Erwan Velu <erwan.mandrakesoft.com> 1.3.6-1mdk
- Bump to 1.3.6

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-5mdk
- fix buildrequires
- do %%configure in %%build, not %%prep
. fix shlib-with-non-pic-code
- spec cosmetics

* Wed Mar 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.7-4mdk
- Fix Dependancies

* Fri Feb 26 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-3mdk
- Fixing requires

* Tue Feb 24 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-2mdk
- More distlint
- Fixing strange %%ldconfig

* Tue Feb 24 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-1mdk
- Initial MDK Release
